Skip to main content
POST
Create Listener

Body

application/json

Request body for creating a listener.

A listener must have a unique combination of workspace_id and compute_id.

compute_type
string
required

The compute type of the listener.

This cannot be changed (PUT) once the listener is created.

Allowed value: "k8s"
compute_id
string
required

User assigned unique ID of the compute infrastructure for the listener.

For example, if compute_type is k8s, then the user may set this field to the Kubernetes cluster name. This cannot be changed (PUT) once the listener is created.

compute_config
ListenerComputeConfig · object
required

Fields for a listener that are specific to compute_type.

All fields are nullable, but are validated based on compute_type.

version
string | null

The version of the listener.

Response

Successful Response

Listener resource.

compute_type
string
required

The compute type of the listener.

This cannot be changed (PUT) once the listener is created.

Allowed value: "k8s"
compute_id
string
required

User assigned unique ID of the compute infrastructure for the listener.

For example, if compute_type is k8s, then the user may set this field to the Kubernetes cluster name. This cannot be changed (PUT) once the listener is created.

compute_config
ListenerComputeConfig · object
required

Fields for a listener that are specific to compute_type.

All fields are nullable, but are validated based on compute_type.

id
string<uuid>
required

System assigned ID of the listener.

This is a read-only field.

created_at
string<date-time>
required

The creation time of the listener.

This is a read-only field.

updated_at
string<date-time>
required

The last update time of the listener.

This is a read-only field.

version
string | null

The version of the listener.